Name: beryl-plugins
Version: 0.2.1
Release: alt1

Group: Graphical desktop/Other
Summary: Beryl OpenGL window and compositing manager plug-ins
Url: http://www.beryl-project.org/
License: GPL

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.bz2

Requires: beryl-core >= %version
Obsoletes: beryl-dbus < %version
Provides: beryl-dbus = %version-%release

BuildPreReq: beryl-core-devel >= %version

# Automatically added by buildreq on Sat Dec 23 2006
BuildRequires: gcc-c++ intltool libcairo-devel libdbus-devel libgtk+2-devel
BuildRequires: libjpeg-devel libmesa-devel librsvg-devel libjpeg-devel

%description
Beryl is a combined window manager and compositing manager that runs on top
of Xgl or AIGLX using OpenGL to provide effects accelerated by a 3D graphics
card on the desktop.
Beryl is a community-driven fork of Compiz.

Beryl has a flexible plug-in system, which the contents of this package take
advantage of.

%prep
%setup -q

%__subst 's,_.*,,' po/LINGUAS
pushd po
	for f in *_*.po; do
		[ -f ${f/_*/}.po ] || mv $f ${f/_*/}.po
	done
popd

%__subst 's,\(.*_LIBADD.*\),\1 -lX11 -lGL -lm,' src/Makefile.am

%build
intltoolize --force
%__autoreconf
%configure \
	--disable-static \
	--enable-librsvg \
	--disable-libsvg-cairo
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%dir %_libdir/beryl
%_libdir/beryl/*.so
%_datadir/beryl/*.png

%changelog
* Mon Mar 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Thu Mar 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt1
- 0.2.0 release

* Sun Feb 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0rc1
- 0.2.0-RC1

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0pre1
- 0.2.0pre1

* Tue Dec 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Mon Dec 11 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.3-alt1
- new version

* Thu Nov 09 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.2-alt1
- new version

* Tue Nov 07 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt1
- initial specfile
